  function [] = initializeSimscapeConfiguration(args)

  arguments
    args.gravity logical {mustBeNumericOrLogical} = true
  end

  conf_simscape = struct();

  if args.gravity
    conf_simscape.type = 1;
  else
    conf_simscape.type = 2;
  end

if exist('./mat', 'dir')
    if exist('./mat/nass_model_conf_simscape.mat', 'file')
        save('mat/nass_model_conf_simscape.mat', 'conf_simscape', '-append');
    else
        save('mat/nass_model_conf_simscape.mat', 'conf_simscape');
    end
elseif exist('./matlab', 'dir')
    if exist('./matlab/mat/nass_model_conf_simscape.mat', 'file')
        save('matlab/mat/nass_model_conf_simscape.mat', 'conf_simscape', '-append');
    else
        save('matlab/mat/nass_model_conf_simscape.mat', 'conf_simscape');
    end
end
